| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | List of all members
libdar::crit_in_place_is_new_hardlinked_inode Class Reference
API

`#include <criterium.hpp>`

Inherits libdar::criterium, and libdar::criterium.

## Public Member Functions
| crit_in_place_is_new_hardlinked_inode (const crit_in_place_is_new_hardlinked_inode &ref)=default
| crit_in_place_is_new_hardlinked_inode (crit_in_place_is_new_hardlinked_inode &&ref) noexcept=default
crit_in_place_is_new_hardlinked_inode & | operator= (const crit_in_place_is_new_hardlinked_inode &ref)=default
crit_in_place_is_new_hardlinked_inode & | operator= (crit_in_place_is_new_hardlinked_inode &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method
virtual criterium * | clone () const override
| clone construction method
| crit_in_place_is_new_hardlinked_inode (const crit_in_place_is_new_hardlinked_inode &ref)=default
| crit_in_place_is_new_hardlinked_inode (crit_in_place_is_new_hardlinked_inode &&ref) noexcept=default
crit_in_place_is_new_hardlinked_inode & | operator= (const crit_in_place_is_new_hardlinked_inode &ref)=default
crit_in_place_is_new_hardlinked_inode & | operator= (crit_in_place_is_new_hardlinked_inode &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method
virtual criterium * | clone () const override
| clone construction method
Public Member Functions inherited from libdar::criterium
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default

## Detailed Description

returns true if the first entry is a inode with several hard links (whatever is the second entry) and also if this first entry is the first we meet that points to this hard linked inode

Definition at line 157 of file dar64-2.8.3-win64/include/dar/criterium.hpp.

## Constructor & Destructor Documentation

## ◆ crit_in_place_is_new_hardlinked_inode() [1/2]

libdar::crit_in_place_is_new_hardlinked_inode::crit_in_place_is_new_hardlinked_inode | ( |  | ) |
| inline

Definition at line 160 of file dar64-2.8.3-win64/include/dar/criterium.hpp.

## ◆ crit_in_place_is_new_hardlinked_inode() [2/2]

libdar::crit_in_place_is_new_hardlinked_inode::crit_in_place_is_new_hardlinked_inode | ( |  | ) |
| inline

Definition at line 160 of file src/libdar/criterium.hpp.

## Member Function Documentation

## ◆ clone() [1/2]

virtual criterium * libdar::crit_in_place_is_new_hardlinked_inode::clone | ( |  | ) | const
| inline override virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 168 of file dar64-2.8.3-win64/include/dar/criterium.hpp.

## ◆ clone() [2/2]

virtual criterium * libdar::crit_in_place_is_new_hardlinked_inode::clone | ( |  | ) | const
| inline override virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 168 of file src/libdar/criterium.hpp.

## ◆ evaluate() [1/2]

virtual bool libdar::crit_in_place_is_new_hardlinked_inode::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second ) const
| override virtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

## ◆ evaluate() [2/2]

virtual bool libdar::crit_in_place_is_new_hardlinked_inode::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second ) const
| override virtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

The documentation for this class was generated from the following files:

- dar64-2.8.3-win64/include/dar/criterium.hpp
- src/libdar/criterium.hpp